 package com.myoa.engineering.crawl.ppomppu.support.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

 /**
  * SimpleMessageDTO
  * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
  * @since 2021-11-21
  *
  */
 @Getter
 @NoArgsConstructor
 public class BlockMessageDTO implements Serializable {

     private static final long serialVersionUID = -6992039884035135523L;

     private String title;
     private List<String> blocks;
     private String url;
     private Instant publishedAt;
     private Instant requestedAt;

     @Builder
     public BlockMessageDTO(String title, List<String> blocks, String url, Instant publishedAt,
                            Instant requestedAt) {
         this.title = title;
         this.blocks = blocks;
         this.url = url;
         this.publishedAt = publishedAt;
         this.requestedAt = requestedAt;
     }
 }
